(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    397935,       8488]
NotebookOptionsPosition[    386499,       8338]
NotebookOutlinePosition[    386933,       8355]
CellTagsIndexPosition[    386890,       8352]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 3.8153075642667866`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"h", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "g"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "2", ",", "2", ",", "7", ",", "1", ",", "4", ",", "4", ",", "2", ",", 
       "2", ",", "9", ",", "8", ",", "8", ",", "2", ",", "7", ",", "8", ",", 
       "3", ",", "2", ",", "7", ",", "7", ",", "5"}], "}"}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"PesosAristas", "[", "grafo", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8153096229712152`*^9, 3.815309661261182*^9}, {
  3.815309700576728*^9, 3.815309751402519*^9}, {3.81532991895396*^9, 
  3.815329944577509*^9}, {3.8153304790271826`*^9, 3.8153304794587774`*^9}, {
  3.815413368622712*^9, 3.815413369793929*^9}, {3.8155528003814497`*^9, 
  3.815552817255727*^9}, {3.8157298052369156`*^9, 3.815729843048069*^9}, {
  3.815729902685727*^9, 3.8157299086739626`*^9}, {3.815730308876047*^9, 
  3.815730309308917*^9}, {3.8157306104336824`*^9, 3.8157306170328784`*^9}, {
  3.8157306592186255`*^9, 3.8157307034846063`*^9}, {3.8157309750372467`*^9, 
  3.8157309754497533`*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"d7127bca-2b28-451a-918e-7a999f6419b9"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
      Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 4}, {
       6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {9, 
       4}, {9, 5}, {1, 4}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
         UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
         UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`h, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
         UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 7}, 
       EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
        5}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
          1.0161758392651081`}}], 
         InsetBox["2", {0.2087836224880933, 0.8447422488056126}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4175672449761866, 0.673308658346117}, {
          0.7631959831994422, 1.5990940839454704`}}], 
         InsetBox["1", {0.5903816140878144, 1.1362013711457937}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4175672449761866, 0.673308658346117}, {
          1.3392577339569276`, 0.5941903371543451}}], 
         InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4175672449761866, 0.673308658346117}, {
          1.1291321474428253`, 1.1125432964466184`}}], 
         InsetBox["9", {0.7733496962095059, 0.8929259773963677}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4175672449761866, 0.673308658346117}, {
          0.7291773805826268, 0.}}], 
         InsetBox["8", {0.5733723127794067, 0.3366543291730585}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
          1.5990940839454704`}}], 
         InsetBox["2", {0.3815979915997211, 1.3076349616052894}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
          1.1125432964466184`}}], 
         InsetBox["2", {0.5645660737214127, 1.0643595678558633}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
         InsetBox["2", {0.3645886902913134, 0.5080879196325541}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
          1.3392577339569276`, 0.5941903371543451}}], 
         InsetBox["7", {1.0512268585781848, 1.0966422105499078}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
          1.9748125434257169`, 1.4716696454997358`}}], 
         InsetBox["4", {1.3690042633125796, 1.535381864722603}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
          1.1291321474428253`, 1.1125432964466184`}}], 
         InsetBox["2", {1.2341949406998765, 0.8533668168004818}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
          0.7291773805826268, 0.}}], 
         InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
          2.618368571018512, 0.7804767517555063}}], 
         InsetBox["7", {1.9788131524877197, 0.6873335444549258}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
          1.1291321474428253`, 1.1125432964466184`}}], 
         InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
          1.941719121307008, 0.39049991510094983`}}], 
         InsetBox["3", {1.9582658323663624, 0.9310847803003428}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
          2.618368571018512, 0.7804767517555063}}], 
         InsetBox["7", {2.2965905572221144, 1.1260731986276211}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
          1.941719121307008, 0.39049991510094983`}}], 
         InsetBox["4", {1.5354256343749166, 0.7515216057737841}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.941719121307008, 0.39049991510094983`}, {
          0.7291773805826268, 0.}}], 
         InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.941719121307008, 0.39049991510094983`}, {
          2.618368571018512, 0.7804767517555063}}], 
         InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.4175672449761866, 0.673308658346117}, 
          0.027438728553293726], 
         InsetBox["h", 
          Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
         InsetBox["f", 
          Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7631959831994422, 1.5990940839454704}, 
          0.027438728553293726], 
         InsetBox["a", 
          Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.3392577339569276, 0.5941903371543451}, 
          0.027438728553293726], 
         InsetBox["g", 
          Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9748125434257169, 1.4716696454997358}, 
          0.027438728553293726], 
         InsetBox["i", 
          Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1291321474428253, 1.1125432964466184}, 
          0.027438728553293726], 
         InsetBox["b", 
          Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.941719121307008, 0.39049991510094983}, 
          0.027438728553293726], 
         InsetBox["e", 
          Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
         InsetBox["c", 
          Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.618368571018512, 0.7804767517555063}, 
          0.027438728553293726], 
         InsetBox["d", 
          Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8153096619632874`*^9, 3.8153096723512883`*^9}, {
   3.8153097153989964`*^9, 3.81530975187508*^9}, 3.8153299472153025`*^9, 
   3.8153304804401855`*^9, 3.8154133313517942`*^9, 3.815413370613584*^9, {
   3.8155528061043477`*^9, 3.815552818002199*^9}, 3.815729797814603*^9, {
   3.8157298355108647`*^9, 3.815729844091014*^9}, 3.815729909344763*^9, 
   3.815730310044533*^9, 3.815730369160994*^9, 3.8157306178857174`*^9, 
   3.8157307039109573`*^9, 3.8157309763275876`*^9, 3.8157318149445105`*^9, 
   3.8157399516107483`*^9, 3.8157622191131516`*^9, 3.815764120256256*^9, 
   3.8157641683565016`*^9, 3.8157688248144655`*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"bd10b917-a33f-415a-8b99-4bd9c08abe46"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.8153096619632874`*^9, 3.8153096723512883`*^9}, {
   3.8153097153989964`*^9, 3.81530975187508*^9}, 3.8153299472153025`*^9, 
   3.8153304804401855`*^9, 3.8154133313517942`*^9, 3.815413370613584*^9, {
   3.8155528061043477`*^9, 3.815552818002199*^9}, 3.815729797814603*^9, {
   3.8157298355108647`*^9, 3.815729844091014*^9}, 3.815729909344763*^9, 
   3.815730310044533*^9, 3.815730369160994*^9, 3.8157306178857174`*^9, 
   3.8157307039109573`*^9, 3.8157309763275876`*^9, 3.8157318149445105`*^9, 
   3.8157399516107483`*^9, 3.8157622191131516`*^9, 3.815764120256256*^9, 
   3.8157641683565016`*^9, 3.8157688248144655`*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"364e2700-056e-4a1e-bb48-b370e20da0aa"]
}, Open  ]],

Cell["Prim:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.8153368075241904`*^9}, {3.815413551480497*^9, 
  3.815413561674924*^9}},ExpressionUUID->"9418b19d-4856-48f5-8d48-\
9340f15603cf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"d", ",", "e"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "i"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"f", ",", "c"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"f", ",", "a"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", "h"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "g"}], "}"}]}], "}"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8157314768766937`*^9, 3.81573151756096*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"15e0962f-6748-4350-a5ed-314505ebbe5b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7631959831994422, 1.5990940839454704`}}], 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7631959831994422, 1.5990940839454704`}}], 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`b, $CellContext`e]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7631959831994422, 1.5990940839454704`}}], 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`b, $CellContext`e], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7631959831994422, 1.5990940839454704`}}], 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`e], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7631959831994422, 1.5990940839454704`}}], 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7631959831994422, 1.5990940839454704`}}], 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
             1.5990940839454704`}}]}, 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
             1.5990940839454704`}}]}, 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
             1.5990940839454704`}}]}, 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{3.815731520144143*^9, 3.815731819068577*^9, 
  3.81573995564456*^9, 3.8157622236400623`*^9, 3.8157641247513123`*^9, 
  3.815764171701821*^9, 3.8157688307811613`*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"90d1d0c7-ba1e-4cce-b0b0-8183377d3a27"]
}, Open  ]],

Cell["Por comando:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}, {3.815731019848316*^9, 
  3.815731023461232*^9}},ExpressionUUID->"c58c4cc7-8127-4ecd-874e-\
df9c5dc1f8d1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Prim", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"orden", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "d", ",", "e", ",", "f", ",", "c", ",", "a", ",", "i", ",", "h", ",", 
      "g", ",", "b"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815739770577531*^9, 3.8157397707611036`*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"848bd8d7-2df4-4a4a-afec-d840a8442546"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El orden de los nodos es: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>", ",", "\<\"f\"\>", ",", "\<\"c\"\>",
      ",", "\<\"a\"\>", ",", "\<\"i\"\>", ",", "\<\"h\"\>", ",", "\<\"g\"\>", 
     ",", "\<\"b\"\>"}], "}"}]}],
  SequenceForm[
  "El orden de los nodos es: ", {"d", "e", "f", "c", "a", "i", "h", "g", "b"}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815739771489793*^9, 3.815739959569921*^9, 
  3.815762231639695*^9, 3.8157641357374697`*^9, 3.815764175714516*^9, 
  3.8157693511310005`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[80]:=",ExpressionUUID->"69a41b8b-6730-4c00-b5de-bdd22d1a8022"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"a\"\>", ",", "\<\"h\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}, {"b", "f"}, {"f", "c"}, {
    "f", "a"}, {"a", "h"}, {"b", "g"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815739771489793*^9, 3.815739959569921*^9, 
  3.815762231639695*^9, 3.8157641357374697`*^9, 3.815764175714516*^9, 
  3.815769351132023*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[80]:=",ExpressionUUID->"d5857a54-0bfd-41f0-a267-a1d63766f38f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso: \"\>", "\[InvisibleSpace]", "18"}],
  SequenceForm["Peso: ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{3.815739771489793*^9, 3.815739959569921*^9, 
  3.815762231639695*^9, 3.8157641357374697`*^9, 3.815764175714516*^9, 
  3.815769351132023*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[80]:=",ExpressionUUID->"56047200-875d-4cd7-b738-a17a046f49be"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 8, 1}}, 
    Typeset`size$$ = {540., {173., 179.50578796092174`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 8, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{606., {229., 237.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.815739771489793*^9, 3.815739959569921*^9, 
  3.815762231639695*^9, 3.8157641357374697`*^9, 3.815764175714516*^9, 
  3.8157693511470485`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[80]:=",ExpressionUUID->"60b2f91d-a56c-433c-a8ee-740ceb105d8f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Prim", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"orden", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "d", ",", "e", ",", "f", ",", "c", ",", "a", ",", "i", ",", "h", ",", 
      "g", ",", "b"}], "}"}]}], ",", 
   RowBox[{"all", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815552611855628*^9, 3.815552618690604*^9}, {
   3.8155526499969845`*^9, 3.8155526724886084`*^9}, 3.8155528137940397`*^9, 
   3.815730993966884*^9},
 CellLabel->"In[81]:=",ExpressionUUID->"da9c1fd7-2487-4c65-9ba6-f640261357f6"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Tabla de pesos del grafo:\"\>"], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354346223*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"7561ffc8-06e9-4002-b268-94acac52602a"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "2", "0", "0", "0", "7", "0", "7", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "2", "0", "0", "8", "0", "3", "0", "0", "4"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "2", "2", "0", "2", "0", "2"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "8", "2", "0", "0", "0", "8", "7", "0"},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "2", "0", "0", "4", "1", "7", "0"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "7", "3", "0", "0", "4", "0", "0", "0", "8"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "2", "8", "1", "0", "0", "5", "9"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "7", "0", "0", "7", "7", "0", "5", "0", "2"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "4", "2", "0", "0", "8", "9", "2", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]]}, {
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543492155`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"bb893a49-e019-4961-b9f2-d6f0bd7b4999"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El orden de los nodos es: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>", ",", "\<\"f\"\>", ",", "\<\"c\"\>",
      ",", "\<\"a\"\>", ",", "\<\"i\"\>", ",", "\<\"h\"\>", ",", "\<\"g\"\>", 
     ",", "\<\"b\"\>"}], "}"}]}],
  SequenceForm[
  "El orden de los nodos es: ", {"d", "e", "f", "c", "a", "i", "h", "g", "b"}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543512173`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"774b310a-9d22-474a-8b60-0ba3eb7d12cb"],

Cell[BoxData["\<\"*** Inicializaci\[OAcute]n ***\"\>"], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543542957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"4309692b-e954-44a3-b6f1-f8585f166d50"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Aristas seleccionables (AS) del \[AAcute]rbol T a construir: \
\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"i\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "Aristas seleccionables (AS) del \[AAcute]rbol T a construir: ", {{{
     "d", "e"}, 2}, {{"d", "i"}, 7}, {{"d", "g"}, 7}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543542957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"6d556be0-4427-4bd8-b7fe-96b283cc0fae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 1, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543542957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"781b6eb4-94e4-4f44-a176-7a3b369ec11b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"d", "e"}, ", T=", {{"d", "e"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543542957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"ebbe14f1-46ee-4466-8395-d85e270cd7e4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "2"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543542957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"ed9da04c-f29d-450c-bf86-e043221f37c5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"i\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"e\"\>", ",", "\<\"c\"\>"}], "}"}], ",", "8"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", "3"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", "4"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "AS=", {{{"d", "i"}, 7}, {{"d", "g"}, 7}, {{"e", "c"}, 8}, {{"e", "i"}, 
     3}, {{"e", "b"}, 4}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543542957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"010e11e5-8618-4368-a5a5-2a593101ae0f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 2, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543542957`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"36e41208-573d-4f06-ad07-3e0d3899f5ef"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"e", "i"}, 
   ", T=", {{"d", "e"}, {"e", "i"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"29b74dcc-3b70-4e50-b580-3316138cfefb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "5"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"0272b570-873b-4eb7-8940-d642b7e139a2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"e\"\>", ",", "\<\"c\"\>"}], "}"}], ",", "8"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", "4"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"i\"\>", ",", "\<\"a\"\>"}], "}"}], ",", "4"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"i\"\>", ",", "\<\"b\"\>"}], "}"}], ",", "8"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "AS=", {{{"d", "g"}, 7}, {{"e", "c"}, 8}, {{"e", "b"}, 4}, {{"i", "a"}, 
     4}, {{"i", "b"}, 8}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"b7b1a0c4-ac97-4806-980e-175a79597fcb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 3, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"1de39789-71e2-429e-8416-3c294fafc8f0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"e", "b"}, 
   ", T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"08bf6d0e-0807-4440-960f-9d062069051c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "9"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 9],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"3d019caa-b764-46b9-9064-2e97e06c127b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"e\"\>", ",", "\<\"c\"\>"}], "}"}], ",", "8"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"i\"\>", ",", "\<\"a\"\>"}], "}"}], ",", "4"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "9"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "2"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "AS=", {{{"d", "g"}, 7}, {{"e", "c"}, 8}, {{"i", "a"}, 4}, {{"b", "f"}, 
     2}, {{"b", "h"}, 9}, {{"b", "g"}, 2}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"c2d95667-d0c5-41ee-b85a-787a5f8273a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 4, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"e320a8c9-9cca-4097-b166-6285601cf517"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"b", "f"}, 
   ", T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}, {"b", "f"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"d2b5d2cc-2edf-4b80-a2a6-301bb7d04911"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "11"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 11],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"126c4e2b-3a44-4760-8c60-84eb97e405dc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"e\"\>", ",", "\<\"c\"\>"}], "}"}], ",", "8"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"i\"\>", ",", "\<\"a\"\>"}], "}"}], ",", "4"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "9"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"f\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "2"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "AS=", {{{"d", "g"}, 7}, {{"e", "c"}, 8}, {{"i", "a"}, 4}, {{"b", "h"}, 
     9}, {{"b", "g"}, 2}, {{"f", "c"}, 2}, {{"f", "a"}, 2}, {{"f", "h"}, 2}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"1c736a87-96fc-430a-968b-c1b0b6d777b4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 5, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354364164*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"90aa90fb-7ce3-436a-bfce-bfe40c56bcb0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"f", "c"}, 
   ", T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}, {"b", "f"}, {"f", "c"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"2eacbc55-c62d-4b5b-8b94-b48ac8730204"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "13"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 13],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"a996b087-0d61-4a39-a352-10a5aa411b78"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"i\"\>", ",", "\<\"a\"\>"}], "}"}], ",", "4"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "9"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"f\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"c\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "8"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"c\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "AS=", {{{"d", "g"}, 7}, {{"i", "a"}, 4}, {{"b", "h"}, 9}, {{"b", "g"}, 
     2}, {{"f", "a"}, 2}, {{"f", "h"}, 2}, {{"c", "h"}, 8}, {{"c", "g"}, 7}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"9b312958-8dbd-4d41-a026-a30ac1949e1d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 6, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"fb4f62a6-6312-4152-9f2a-6d68488c5144"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"f", "a"}, 
   ", T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}, {"b", "f"}, {"f", "c"}, {
    "f", "a"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"70e76513-42a6-4e2e-b2da-3dc21e1b8ec3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "15"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 15],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"bf6994ff-6ca7-4228-9a50-40d2099a5caa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "9"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"f\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"c\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "8"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"c\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"a\"\>", ",", "\<\"h\"\>"}], "}"}], ",", "1"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"a\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "AS=", {{{"d", "g"}, 7}, {{"b", "h"}, 9}, {{"b", "g"}, 2}, {{"f", "h"}, 
     2}, {{"c", "h"}, 8}, {{"c", "g"}, 7}, {{"a", "h"}, 1}, {{"a", "g"}, 7}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"7c76219a-2983-475e-b12f-b3c8d4e91dcf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 7, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543807945`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"e979c83c-f014-4ea3-a900-78877a60d3b8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"a\"\>", ",", "\<\"h\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"a\"\>", ",", "\<\"h\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"a", "h"}, 
   ", T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}, {"b", "f"}, {"f", "c"}, {
    "f", "a"}, {"a", "h"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"4109a143-82cb-4dc3-9295-525822f044ab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "16"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 16],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"2b981306-ff5e-4b3f-b8cd-d8c7cc391428"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"d\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "2"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"c\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"a\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "7"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"h\"\>", ",", "\<\"g\"\>"}], "}"}], ",", "5"}], "}"}]}], 
    "}"}]}],
  SequenceForm[
  "AS=", {{{"d", "g"}, 7}, {{"b", "g"}, 2}, {{"c", "g"}, 7}, {{"a", "g"}, 
     7}, {{"h", "g"}, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"f9d8ed22-34c0-43f9-8d9f-ea85cca370ec"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 8, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"721a6a15-1dd2-4ebe-9db5-e1da895037a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"a\"\>", ",", "\<\"h\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Se agreg\[OAcute] la arista: ", {"b", "g"}, 
   ", T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}, {"b", "f"}, {"f", "c"}, {
    "f", "a"}, {"a", "h"}, {"b", "g"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"1508d9f2-43b6-4c98-a492-df13e2244e8a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "18"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"bc353ff5-1657-454b-8662-a8d2f8f75f29"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm["AS=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"9621d621-4c51-4e1c-9a44-101742c7b795"],

Cell[BoxData["\<\"*** Finalmente ***\"\>"], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"505f21a7-e185-492a-8a12-27cf0690143c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"d\"\>", ",", "\<\"e\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"i\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"e\"\>", ",", "\<\"b\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"f\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"c\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"f\"\>", ",", "\<\"a\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"a\"\>", ",", "\<\"h\"\>"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"b\"\>", ",", "\<\"g\"\>"}], "}"}]}], "}"}]}],
  SequenceForm[
  "T=", {{"d", "e"}, {"e", "i"}, {"e", "b"}, {"b", "f"}, {"f", "c"}, {
    "f", "a"}, {"a", "h"}, {"b", "g"}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"6d58c941-1f87-46b7-9198-4b2ba98e4cc1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso: \"\>", "\[InvisibleSpace]", "18"}],
  SequenceForm["Peso: ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.8157693543974257`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"f2707e61-bd50-48cb-adde-864a3e3a4632"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 8, 1}}, 
    Typeset`size$$ = {540., {173., 179.50578796092174`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 8, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{606., {229., 237.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8157309976440907`*^9, 3.815731462794374*^9, 
  3.815740037444225*^9, 3.8157622358904443`*^9, 3.8157641406252527`*^9, 
  3.815764179196102*^9, 3.815769354422243*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[81]:=",ExpressionUUID->"b569ce87-67a4-43ed-b00d-753fa6c357d8"]
}, Open  ]]
}, Open  ]],

Cell["Kruskal:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}},ExpressionUUID->"0b43618d-b5b1-4f71-9c45-\
b34b427f8711"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "f"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[82]:=",ExpressionUUID->"ec5788b4-5326-4e62-b9a7-d9c273a79c75"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
      Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 4}, {
       6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {9, 
       4}, {9, 5}, {1, 4}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
         UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
         UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
         UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
         UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
       EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
        5}, GraphHighlight -> {
         UndirectedEdge[$CellContext`b, $CellContext`g], 
         UndirectedEdge[$CellContext`d, $CellContext`e], 
         UndirectedEdge[$CellContext`a, $CellContext`h], 
         UndirectedEdge[$CellContext`c, $CellContext`f], 
         UndirectedEdge[$CellContext`b, $CellContext`f]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
          1.0161758392651081`}}], 
         InsetBox["2", {0.2087836224880933, 0.8447422488056126}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{0.4175672449761866, 0.673308658346117}, {
           0.7631959831994422, 1.5990940839454704`}}]}, 
         InsetBox["1", {0.5903816140878144, 1.1362013711457937}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4175672449761866, 0.673308658346117}, {
          1.3392577339569276`, 0.5941903371543451}}], 
         InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4175672449761866, 0.673308658346117}, {
          1.1291321474428253`, 1.1125432964466184`}}], 
         InsetBox["9", {0.7733496962095059, 0.8929259773963677}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.4175672449761866, 0.673308658346117}, {
          0.7291773805826268, 0.}}], 
         InsetBox["8", {0.5733723127794067, 0.3366543291730585}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
          1.5990940839454704`}}], 
         InsetBox["2", {0.3815979915997211, 1.3076349616052894}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
           1.1125432964466184`}}]}, 
         InsetBox["2", {0.5645660737214127, 1.0643595678558633}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
         InsetBox["2", {0.3645886902913134, 0.5080879196325541}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
          1.3392577339569276`, 0.5941903371543451}}], 
         InsetBox["7", {1.0512268585781848, 1.0966422105499078}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
          1.9748125434257169`, 1.4716696454997358`}}], 
         InsetBox["4", {1.3690042633125796, 1.535381864722603}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
           1.1291321474428253`, 1.1125432964466184`}}]}, 
         InsetBox["2", {1.2341949406998765, 0.8533668168004818}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
          0.7291773805826268, 0.}}], 
         InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
          2.618368571018512, 0.7804767517555063}}], 
         InsetBox["7", {1.9788131524877197, 0.6873335444549258}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
          1.1291321474428253`, 1.1125432964466184`}}], 
         InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
          1.941719121307008, 0.39049991510094983`}}], 
         InsetBox["3", {1.9582658323663624, 0.9310847803003428}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
          2.618368571018512, 0.7804767517555063}}], 
         InsetBox["7", {2.2965905572221144, 1.1260731986276211}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
          1.941719121307008, 0.39049991510094983`}}], 
         InsetBox["4", {1.5354256343749166, 0.7515216057737841}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.941719121307008, 0.39049991510094983`}, {
          0.7291773805826268, 0.}}], 
         InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
          LineBox[{{1.941719121307008, 0.39049991510094983`}, {
           2.618368571018512, 0.7804767517555063}}]}, 
         InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.4175672449761866, 0.673308658346117}, 
          0.027438728553293726], 
         InsetBox["h", 
          Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
         InsetBox["f", 
          Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7631959831994422, 1.5990940839454704}, 
          0.027438728553293726], 
         InsetBox["a", 
          Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.3392577339569276, 0.5941903371543451}, 
          0.027438728553293726], 
         InsetBox["g", 
          Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9748125434257169, 1.4716696454997358}, 
          0.027438728553293726], 
         InsetBox["i", 
          Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1291321474428253, 1.1125432964466184}, 
          0.027438728553293726], 
         InsetBox["b", 
          Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.941719121307008, 0.39049991510094983}, 
          0.027438728553293726], 
         InsetBox["e", 
          Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
         InsetBox["c", 
          Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.618368571018512, 0.7804767517555063}, 
          0.027438728553293726], 
         InsetBox["d", 
          Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8157377039444337`*^9, {3.8157400456778774`*^9, 3.815740059077694*^9}, 
   3.8157622426681757`*^9, 3.815764146743747*^9, 3.815764185096649*^9, 
   3.815769359737366*^9},
 CellLabel->"Out[82]=",ExpressionUUID->"a0fec04e-1616-434b-96cc-7e546ce614f6"]
}, Open  ]],

Cell["\[CapitalAAcute]rbol recubridor 1:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}, {3.815648115681745*^9, 
  3.8156481238710847`*^9}},ExpressionUUID->"63a4579e-2416-401e-8dd5-\
a724557ea321"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "h"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"d", ",", "e"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "g"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"h", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "i"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "e"}], "}"}]}], "}"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.8157315879123325`*^9, {3.8157370223890295`*^9, 3.8157370265911107`*^9}, {
   3.8157372982933264`*^9, 3.8157373010099216`*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"59ce4c80-39e7-40a2-bfcf-9bd5253a4753"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`h]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`h, $CellContext`f], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
             1.0161758392651081`}}]}, 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`h, $CellContext`f], 
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
             1.0161758392651081`}}]}, 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`h, $CellContext`f], 
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`e], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
             1.0161758392651081`}}]}, 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{{3.8157367453944583`*^9, 3.8157367543276978`*^9}, 
   3.8157370278608494`*^9, 3.815737303760757*^9, 3.8157377308944793`*^9, {
   3.815740050761019*^9, 3.8157400656101294`*^9}, 3.815762246702301*^9, 
   3.8157641501512976`*^9, 3.815764199294504*^9, 3.8157642432698317`*^9, 
   3.815769664711233*^9},
 CellLabel->"Out[84]=",ExpressionUUID->"dc259ebe-7c5d-4a14-baa0-3972dc189565"]
}, Open  ]],

Cell["\[CapitalAAcute]rbol recubridor 2:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}, {3.815648115681745*^9, 3.8156481238710847`*^9}, {
  3.815737039800583*^9, 
  3.8157370402175064`*^9}},ExpressionUUID->"2394e112-8c6f-4a4b-a513-\
86f19b1f6443"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "h"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"d", ",", "e"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "g"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"f", ",", "a"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "i"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b", ",", "e"}], "}"}]}], "}"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.8157315879123325`*^9, {3.8157370223890295`*^9, 3.8157370265911107`*^9}, {
   3.8157371108080206`*^9, 3.815737112317556*^9}, {3.8157372886265955`*^9, 
   3.815737292544135*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"1cf37509-cdea-4ef2-b1a3-d65115c1437a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`h]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}], 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
            1.1125432964466184`}}], 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
            1.5990940839454704`}}], 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
             1.5990940839454704`}}]}, 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
             1.5990940839454704`}}]}, 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
            1.941719121307008, 0.39049991510094983`}}], 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`h, $CellContext`f, $CellContext`a, $CellContext`g, \
$CellContext`i, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`d}, {
        Null, {{1, 2}, {3, 2}, {3, 4}, {3, 1}, {3, 5}, {6, 7}, {6, 2}, {6, 
         4}, {6, 1}, {6, 5}, {8, 7}, {8, 2}, {8, 4}, {8, 1}, {7, 5}, {9, 7}, {
         9, 4}, {9, 5}, {1, 4}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`h, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
           UndirectedEdge[$CellContext`e, $CellContext`i] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
           UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
           UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
           UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
           UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
           UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
           UndirectedEdge[$CellContext`h, $CellContext`g] -> 5}, 
         EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7, 
          5}, GraphHighlight -> {
           UndirectedEdge[$CellContext`b, $CellContext`g], 
           UndirectedEdge[$CellContext`e, $CellContext`i], 
           UndirectedEdge[$CellContext`d, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`h], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`f], 
           UndirectedEdge[$CellContext`b, $CellContext`f]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[
          0.7], {LineBox[{{0.4175672449761866, 0.673308658346117}, {0., 
            1.0161758392651081`}}], 
           InsetBox["2", {0.2087836224880933, 0.8447422488056126}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.4175672449761866, 0.673308658346117}, {
             0.7631959831994422, 1.5990940839454704`}}]}, 
           InsetBox["1", {0.5903816140878144, 1.1362013711457937}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["5", {0.878412489466557, 0.633749497750231}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["9", {0.7733496962095059, 0.8929259773963677}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.4175672449761866, 0.673308658346117}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {0.5733723127794067, 0.3366543291730585}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7631959831994422, 
             1.5990940839454704`}}]}, 
           InsetBox["2", {0.3815979915997211, 1.3076349616052894}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {1.1291321474428253`, 
             1.1125432964466184`}}]}, 
           InsetBox["2", {0.5645660737214127, 1.0643595678558633}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 1.0161758392651081`}, {0.7291773805826268, 0.}}]}, 
           InsetBox["2", {0.3645886902913134, 0.5080879196325541}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.3392577339569276`, 0.5941903371543451}}], 
           InsetBox["7", {1.0512268585781848, 1.0966422105499078}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.7631959831994422, 1.5990940839454704`}, {
            1.9748125434257169`, 1.4716696454997358`}}], 
           InsetBox["4", {1.3690042633125796, 1.535381864722603}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
             1.1291321474428253`, 1.1125432964466184`}}]}, 
           InsetBox["2", {1.2341949406998765, 0.8533668168004818}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            0.7291773805826268, 0.}}], 
           InsetBox["7", {1.0342175572697772, 0.29709516857717255}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.3392577339569276`, 0.5941903371543451}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {1.9788131524877197, 0.6873335444549258}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            1.1291321474428253`, 1.1125432964466184`}}], 
           InsetBox["8", {1.551972345434271, 1.292106470973177}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["3", {1.9582658323663624, 0.9310847803003428}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.9748125434257169`, 1.4716696454997358`}, {
            2.618368571018512, 0.7804767517555063}}], 
           InsetBox["7", {2.2965905572221144, 1.1260731986276211}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.1291321474428253`, 1.1125432964466184`}, {
             1.941719121307008, 0.39049991510094983`}}]}, 
           InsetBox["4", {1.5354256343749166, 0.7515216057737841}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.941719121307008, 0.39049991510094983`}, {
            0.7291773805826268, 0.}}], 
           InsetBox["8", {1.3354482509448173, 0.19524995755047492}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{1.941719121307008, 0.39049991510094983`}, {
             2.618368571018512, 0.7804767517555063}}]}, 
           InsetBox["2", {2.28004384616276, 0.5854883334282281}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{0.4175672449761866, 0.673308658346117}, 
            0.027438728553293726], 
           InsetBox["h", 
            Offset[{2, 2}, {0.4450059735294803, 0.7007473868994107}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.0161758392651081}, 0.027438728553293726], 
           InsetBox["f", 
            Offset[{2, 2}, {0.027438728553293726, 1.043614567818402}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7631959831994422, 1.5990940839454704}, 
            0.027438728553293726], 
           InsetBox["a", 
            Offset[{2, 2}, {0.7906347117527359, 1.6265328124987641}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.3392577339569276, 0.5941903371543451}, 
            0.027438728553293726], 
           InsetBox["g", 
            Offset[{2, 2}, {1.3666964625102214, 0.6216290657076389}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.9748125434257169, 1.4716696454997358}, 
            0.027438728553293726], 
           InsetBox["i", 
            Offset[{2, 2}, {2.0022512719790106, 1.4991083740530295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.1291321474428253, 1.1125432964466184}, 
            0.027438728553293726], 
           InsetBox["b", 
            Offset[{2, 2}, {1.156570875996119, 1.1399820249999122}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.941719121307008, 0.39049991510094983}, 
            0.027438728553293726], 
           InsetBox["e", 
            Offset[{2, 2}, {1.9691578498603017, 0.41793864365424355}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7291773805826268, 0.}, 0.027438728553293726], 
           InsetBox["c", 
            Offset[{2, 2}, {0.7566161091359206, 0.027438728553293726}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.618368571018512, 0.7804767517555063}, 
            0.027438728553293726], 
           InsetBox["d", 
            Offset[{2, 2}, {2.6458072995718056, 0.8079154803088001}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8157371137608695`*^9, 3.815737727527775*^9, 3.8157377993280525`*^9, 
   3.8157400691774206`*^9, 3.8157622505439773`*^9, 3.815764153721326*^9, {
   3.8157642181982307`*^9, 3.815764238649827*^9}, 3.8157696603972735`*^9},
 CellLabel->"Out[83]=",ExpressionUUID->"99eaf8e8-8e84-41ff-9bd6-d0a6906285cc"]
}, Open  ]],

Cell["Por comando:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}, {3.815731019848316*^9, 
  3.815731023461232*^9}},ExpressionUUID->"55fa1003-5d3c-4321-8c92-\
b3ed6ed4861f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Kruskal", "[", "grafo", "]"}]], "Input",
 CellChangeTimes->{{3.8157398674189477`*^9, 3.815739867555574*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"795f1d54-39ba-4269-9b24-acd81284feee"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "i"}]}], "}"}]}],
  SequenceForm["T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`a, $CellContext`f], 
    UndirectedEdge[$CellContext`b, $CellContext`g], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`d, $CellContext`e], 
    UndirectedEdge[$CellContext`c, $CellContext`f], 
    UndirectedEdge[$CellContext`e, $CellContext`i], 
    UndirectedEdge[$CellContext`a, $CellContext`i]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8157398682341394`*^9, {3.815740072844496*^9, 3.815740115934451*^9}, {
   3.8157622544558425`*^9, 3.815762259018382*^9}, 3.8157641577787714`*^9, 
   3.815764250121517*^9, 3.815769669794742*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[85]:=",ExpressionUUID->"604ac744-8d96-4eda-9c62-278fa67f1809"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso: \"\>", "\[InvisibleSpace]", "18"}],
  SequenceForm["Peso: ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8157398682341394`*^9, {3.815740072844496*^9, 3.815740115934451*^9}, {
   3.8157622544558425`*^9, 3.815762259018382*^9}, 3.8157641577787714`*^9, 
   3.815764250121517*^9, 3.8157696697967362`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[85]:=",ExpressionUUID->"9486eb6b-c163-4143-bf08-957acad77da9"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 8, 1}}, 
    Typeset`size$$ = {540., {173., 179.50578796092174`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 8, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{606., {229., 237.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.8157398682341394`*^9, {3.815740072844496*^9, 3.815740115934451*^9}, {
   3.8157622544558425`*^9, 3.815762259018382*^9}, 3.8157641577787714`*^9, 
   3.815764250121517*^9, 3.815769669807707*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[85]:=",ExpressionUUID->"fa19d962-0112-454b-8885-3618dedd5e58"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Kruskal", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"all", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[86]:=",ExpressionUUID->"ceb90f68-7213-4f97-b673-1bc04e9ee6fe"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Tabla de pesos del grafo:\"\>"], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672347122*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"29aeed47-3c9e-48eb-938b-64bbe08c7fcc"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "2", "7", "1", "4"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "4", "2", "2", "9", "8"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "8", "2", "7", "8", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "2", "0", "7", "0", "7"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "4", "8", "2", "0", "0", "0", "0", "3"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "2", "2", "2", "0", "0", "0", "0", "2", "0"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "7", "2", "7", "7", "0", "0", "0", "5", "0"},
     {
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "9", "8", "0", "0", "2", "5", "0", "0"},
     {
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "4", "8", "0", "7", "3", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672351112*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"b2f8ce79-3697-45af-b192-eed15e943570"],

Cell[BoxData["\<\"*** Inicializaci\[OAcute]n ***\"\>"], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672355102*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"7b0c6718-cbd2-420c-804c-d602d02ef789"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Aristas seleccionables (AS) del \[AAcute]rbol T a construir: \
\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Aristas seleccionables (AS) del \[AAcute]rbol T a construir: ", {{
     UndirectedEdge[$CellContext`h, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`h], 1}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`b, $CellContext`g], 2}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`e, $CellContext`i], 3}, {
     UndirectedEdge[$CellContext`d, $CellContext`e], 2}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723580933`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"aa24547f-cbab-4731-a63b-823e774e15ef"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 1, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723590913`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"f44c9dd6-384d-4e29-b72f-91c421a903aa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"a", "\[UndirectedEdge]", "h"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", "\[UndirectedEdge]", "h"}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`a, $CellContext`h], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723610864`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"c0f8e5d5-fa0f-4b15-9eef-e6775b07348d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "1"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723620825`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"e09c3053-5985-4c07-b965-fb69f2861d32"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`h, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`b, $CellContext`g], 2}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`e, $CellContext`i], 3}, {
     UndirectedEdge[$CellContext`d, $CellContext`e], 2}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672365078*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"195a696d-fcfd-43fe-abc0-271fedee33d7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 2, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723670707`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"db5b78ba-e02a-4d4e-93d2-ee2f71aed375"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"b", "\[UndirectedEdge]", "f"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`b, $CellContext`f], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723690667`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"4de1058a-1c76-4519-886b-8c8d7a13bfbe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "3"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723710585`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"4445622c-2823-4626-9d81-fe3fc50d7c93"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`h, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`g], 2}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`e, $CellContext`i], 3}, {
     UndirectedEdge[$CellContext`d, $CellContext`e], 2}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672374051*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"002cb0d2-323a-4337-9d9b-30bd8b2c4e33"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 3, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723750496`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"6ce2075a-752d-40f6-b5d3-07d486a493c3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"a", "\[UndirectedEdge]", "f"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`a, $CellContext`f], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`a, $CellContext`f]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723770447`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"d4941984-d85c-4542-953b-d812df0f3b50"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "5"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672378041*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"eda05071-3097-4f5f-b64d-734238b03d51"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`h, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`g], 2}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`e, $CellContext`i], 3}, {
     UndirectedEdge[$CellContext`d, $CellContext`e], 2}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723800354`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"c65cde3c-7438-4943-a540-9d1a943b6584"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 4, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672381033*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"671b0c54-7f33-4017-a227-04b20ce32e91"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"b", "\[UndirectedEdge]", "g"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`b, $CellContext`g], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`a, $CellContext`f], 
    UndirectedEdge[$CellContext`b, $CellContext`g]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672383027*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"6b7a8aee-6a6c-4f41-9fc0-42717cef5e8b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "7"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 7],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723840256`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"19d13baa-3e48-4660-bc0a-d4d84d1c3eaa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`h, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`e, $CellContext`i], 3}, {
     UndirectedEdge[$CellContext`d, $CellContext`e], 2}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672386019*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"3d3c5e3a-9f43-4782-8e74-c19a8a780944"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 5, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723870173`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"8b125e05-6951-4218-970c-89f5b9ab7e34"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"c", "\[UndirectedEdge]", "f"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "f"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`c, $CellContext`f], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`a, $CellContext`f], 
    UndirectedEdge[$CellContext`b, $CellContext`g], 
    UndirectedEdge[$CellContext`c, $CellContext`f]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723890276`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"ad7ba696-726b-4628-b65c-cd6dc021df54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "9"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 9],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672391006*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"a5d20d3f-772c-425e-b030-0e285f7476f2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`h, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`e, $CellContext`i], 3}, {
     UndirectedEdge[$CellContext`d, $CellContext`e], 2}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723930006`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"1e6473d6-8c09-4067-b58a-520142420ee2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 6, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672394995*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"8449ed45-0291-4a18-9377-ed1f1073b13b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"d", "\[UndirectedEdge]", "e"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`d, $CellContext`e], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`a, $CellContext`f], 
    UndirectedEdge[$CellContext`b, $CellContext`g], 
    UndirectedEdge[$CellContext`c, $CellContext`f], 
    UndirectedEdge[$CellContext`d, $CellContext`e]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696723959937`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"21b37180-58d6-42d6-8dd2-a796f69adc59"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "11"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 11],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.81576967239699*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"6b34b092-1224-4bba-ac28-77058149a414"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "f"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`h, $CellContext`f], 2}, {
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`e, $CellContext`i], 3}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672398985*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"b2172240-93c8-4d8b-becd-dab9cefb12d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 7, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696724010057`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"e04abc52-ec58-4b1b-8f99-5884a233384b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"e", "\[UndirectedEdge]", "i"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "i"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`e, $CellContext`i], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`a, $CellContext`f], 
    UndirectedEdge[$CellContext`b, $CellContext`g], 
    UndirectedEdge[$CellContext`c, $CellContext`f], 
    UndirectedEdge[$CellContext`d, $CellContext`e], 
    UndirectedEdge[$CellContext`e, $CellContext`i]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696724020176`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"c27ca86a-6a88-4e98-8f29-c5aca6770e6b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "14"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 14],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672402974*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"b2ff4b62-9a4a-4705-8b0b-b0b2edc9f276"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`e], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672404998*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"647952cf-cdaa-4756-8256-a5aba9de707f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"*** Iteraci\[OAcute]n \"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" ***\"\>"}],
  SequenceForm["*** Iteraci\[OAcute]n ", 8, " ***"],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672406965*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"a4d55e98-e0ed-4ad5-9ff6-3455a575563e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"b", "\[UndirectedEdge]", "e"}], 
   "\[InvisibleSpace]", "\<\", T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "e"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[$CellContext`b, $CellContext`e], ", T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`a, $CellContext`f], 
    UndirectedEdge[$CellContext`b, $CellContext`g], 
    UndirectedEdge[$CellContext`c, $CellContext`f], 
    UndirectedEdge[$CellContext`d, $CellContext`e], 
    UndirectedEdge[$CellContext`e, $CellContext`i], 
    UndirectedEdge[$CellContext`b, $CellContext`e]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696724079747`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"b653b709-7eb0-4619-a8c5-b9a894d8b212"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso m\[IAcute]nimo acumulado: \"\>", "\[InvisibleSpace]", 
   "18"}],
  SequenceForm["Peso m\[IAcute]nimo acumulado: ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696724099565`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"00971e8d-1793-4c9b-af39-cfab453fd602"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"AS=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[UndirectedEdge]", "i"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[UndirectedEdge]", "i"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", "\[UndirectedEdge]", "i"}], ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"h", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm["AS=", {{
     UndirectedEdge[$CellContext`a, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`a, $CellContext`i], 4}, {
     UndirectedEdge[$CellContext`b, $CellContext`h], 9}, {
     UndirectedEdge[$CellContext`b, $CellContext`i], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`e], 8}, {
     UndirectedEdge[$CellContext`c, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`c, $CellContext`h], 8}, {
     UndirectedEdge[$CellContext`d, $CellContext`g], 7}, {
     UndirectedEdge[$CellContext`d, $CellContext`i], 7}, {
     UndirectedEdge[$CellContext`h, $CellContext`g], 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696724109745`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"fbde153a-4854-4682-afdd-7e8c00d5def1"],

Cell[BoxData["\<\"*** Finalmente ***\"\>"], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.81576967241195*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"5dee32d2-b4d6-43f9-b5b5-8978699f89cf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"T=\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "i"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "e"}]}], "}"}]}],
  SequenceForm["T=", {
    UndirectedEdge[$CellContext`a, $CellContext`h], 
    UndirectedEdge[$CellContext`b, $CellContext`f], 
    UndirectedEdge[$CellContext`a, $CellContext`f], 
    UndirectedEdge[$CellContext`b, $CellContext`g], 
    UndirectedEdge[$CellContext`c, $CellContext`f], 
    UndirectedEdge[$CellContext`d, $CellContext`e], 
    UndirectedEdge[$CellContext`e, $CellContext`i], 
    UndirectedEdge[$CellContext`b, $CellContext`e]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696724174905`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"b45d291e-0224-41e1-acaf-a1d1804d238c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Peso: \"\>", "\[InvisibleSpace]", "18"}],
  SequenceForm["Peso: ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.8157696724184885`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"2b54242d-75a2-497b-8f15-60407c4d60ea"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 8, 1}}, 
    Typeset`size$$ = {640., {205., 216.2567526210753}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[VilCretas`AnimarGrafo, {}, VilCretas`padding], 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 8, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{736., {286.25, 298.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.815552825555482*^9, 3.815731006239458*^9, 
  3.8157315334125338`*^9, 3.815740486482505*^9, 3.8157622624227815`*^9, 
  3.81576416098709*^9, 3.8157642526753964`*^9, 3.815769672428488*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[86]:=",ExpressionUUID->"50fc26c4-ca7d-4662-a2f6-8722ffe807c5"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{949., 472.5},
WindowMargins->{{-960, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"2e12c56d-9b75-4ae6-8acb-f8bdf7a1628d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],
Cell[CellGroupData[{
Cell[783, 27, 2508, 62, 361, "Input",ExpressionUUID->"d7127bca-2b28-451a-918e-7a999f6419b9"],
Cell[3294, 91, 9723, 181, 567, "Output",ExpressionUUID->"bd10b917-a33f-415a-8b99-4bd9c08abe46"],
Cell[13020, 274, 2695, 70, 203, "Output",ExpressionUUID->"364e2700-056e-4a1e-bb48-b370e20da0aa"]
}, Open  ]],
Cell[15730, 347, 248, 4, 75, "Text",ExpressionUUID->"9418b19d-4856-48f5-8d48-9340f15603cf"],
Cell[CellGroupData[{
Cell[16003, 355, 1098, 32, 189, "Input",ExpressionUUID->"15e0962f-6748-4350-a5ed-314505ebbe5b"],
Cell[17104, 389, 81337, 1574, 1336, "Output",ExpressionUUID->"90d1d0c7-ba1e-4cce-b0b0-8183377d3a27"]
}, Open  ]],
Cell[98456, 1966, 303, 5, 75, "Text",ExpressionUUID->"c58c4cc7-8127-4ecd-874e-df9c5dc1f8d1"],
Cell[CellGroupData[{
Cell[98784, 1975, 399, 9, 63, "Input",ExpressionUUID->"848bd8d7-2df4-4a4a-afec-d840a8442546"],
Cell[CellGroupData[{
Cell[99208, 1988, 717, 15, 49, "Print",ExpressionUUID->"69a41b8b-6730-4c00-b5de-bdd22d1a8022"],
Cell[99928, 2005, 1181, 30, 49, "Print",ExpressionUUID->"d5857a54-0bfd-41f0-a267-a1d63766f38f"],
Cell[101112, 2037, 427, 10, 49, "Print",ExpressionUUID->"56047200-875d-4cd7-b738-a17a046f49be"],
Cell[101542, 2049, 2412, 52, 720, "Print",ExpressionUUID->"60b2f91d-a56c-433c-a8ee-740ceb105d8f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[104003, 2107, 546, 12, 98, "Input",ExpressionUUID->"da9c1fd7-2487-4c65-9ba6-f640261357f6"],
Cell[CellGroupData[{
Cell[104574, 2123, 362, 6, 49, "Print",ExpressionUUID->"7561ffc8-06e9-4002-b268-94acac52602a"],
Cell[104939, 2131, 7187, 233, 360, "Print",ExpressionUUID->"bb893a49-e019-4961-b9f2-d6f0bd7b4999"],
Cell[112129, 2366, 743, 15, 49, "Print",ExpressionUUID->"774b310a-9d22-474a-8b60-0ba3eb7d12cb"],
Cell[112875, 2383, 369, 6, 49, "Print",ExpressionUUID->"4309692b-e954-44a3-b6f1-f8585f166d50"],
Cell[113247, 2391, 1078, 30, 90, "Print",ExpressionUUID->"6d556be0-4427-4bd8-b7fe-96b283cc0fae"],
Cell[114328, 2423, 534, 11, 49, "Print",ExpressionUUID->"781b6eb4-94e4-4f44-a176-7a3b369ec11b"],
Cell[114865, 2436, 756, 17, 49, "Print",ExpressionUUID->"ebbe14f1-46ee-4466-8395-d85e270cd7e4"],
Cell[115624, 2455, 507, 11, 49, "Print",ExpressionUUID->"ed9da04c-f29d-450c-bf86-e043221f37c5"],
Cell[116134, 2468, 1278, 39, 49, "Print",ExpressionUUID->"010e11e5-8618-4368-a5a5-2a593101ae0f"],
Cell[117415, 2509, 534, 11, 49, "Print",ExpressionUUID->"36e41208-573d-4f06-ad07-3e0d3899f5ef"],
Cell[117952, 2522, 866, 21, 49, "Print",ExpressionUUID->"29b74dcc-3b70-4e50-b580-3316138cfefb"],
Cell[118821, 2545, 505, 11, 49, "Print",ExpressionUUID->"0272b570-873b-4eb7-8940-d642b7e139a2"],
Cell[119329, 2558, 1276, 39, 49, "Print",ExpressionUUID->"b7b1a0c4-ac97-4806-980e-175a79597fcb"],
Cell[120608, 2599, 532, 11, 49, "Print",ExpressionUUID->"1de39789-71e2-429e-8416-3c294fafc8f0"],
Cell[121143, 2612, 957, 23, 49, "Print",ExpressionUUID->"08bf6d0e-0807-4440-960f-9d062069051c"],
Cell[122103, 2637, 505, 11, 49, "Print",ExpressionUUID->"3d019caa-b764-46b9-9064-2e97e06c127b"],
Cell[122611, 2650, 1435, 44, 49, "Print",ExpressionUUID->"c2d95667-d0c5-41ee-b85a-787a5f8273a8"],
Cell[124049, 2696, 532, 11, 49, "Print",ExpressionUUID->"e320a8c9-9cca-4097-b166-6285601cf517"],
Cell[124584, 2709, 1048, 25, 49, "Print",ExpressionUUID->"d2b5d2cc-2edf-4b80-a2a6-301bb7d04911"],
Cell[125635, 2736, 507, 11, 49, "Print",ExpressionUUID->"126c4e2b-3a44-4760-8c60-84eb97e405dc"],
Cell[126145, 2749, 1753, 54, 90, "Print",ExpressionUUID->"1c736a87-96fc-430a-968b-c1b0b6d777b4"],
Cell[127901, 2805, 532, 11, 49, "Print",ExpressionUUID->"90aa90fb-7ce3-436a-bfce-bfe40c56bcb0"],
Cell[128436, 2818, 1141, 27, 49, "Print",ExpressionUUID->"2eacbc55-c62d-4b5b-8b94-b48ac8730204"],
Cell[129580, 2847, 509, 11, 49, "Print",ExpressionUUID->"a996b087-0d61-4a39-a352-10a5aa411b78"],
Cell[130092, 2860, 1755, 54, 90, "Print",ExpressionUUID->"9b312958-8dbd-4d41-a026-a30ac1949e1d"],
Cell[131850, 2916, 534, 11, 49, "Print",ExpressionUUID->"fb4f62a6-6312-4152-9f2a-6d68488c5144"],
Cell[132387, 2929, 1237, 30, 49, "Print",ExpressionUUID->"70e76513-42a6-4e2e-b2da-3dc21e1b8ec3"],
Cell[133627, 2961, 509, 11, 49, "Print",ExpressionUUID->"bf6994ff-6ca7-4228-9a50-40d2099a5caa"],
Cell[134139, 2974, 1755, 54, 90, "Print",ExpressionUUID->"7c76219a-2983-475e-b12f-b3c8d4e91dcf"],
Cell[135897, 3030, 534, 11, 49, "Print",ExpressionUUID->"e979c83c-f014-4ea3-a900-78877a60d3b8"],
Cell[136434, 3043, 1328, 32, 90, "Print",ExpressionUUID->"4109a143-82cb-4dc3-9295-525822f044ab"],
Cell[137765, 3077, 509, 11, 49, "Print",ExpressionUUID->"2b981306-ff5e-4b3f-b8cd-d8c7cc391428"],
Cell[138277, 3090, 1278, 39, 49, "Print",ExpressionUUID->"f9d8ed22-34c0-43f9-8d9f-ea85cca370ec"],
Cell[139558, 3131, 534, 11, 49, "Print",ExpressionUUID->"721a6a15-1dd2-4ebe-9db5-e1da895037a7"],
Cell[140095, 3144, 1419, 34, 90, "Print",ExpressionUUID->"1508d9f2-43b6-4c98-a492-df13e2244e8a"],
Cell[141517, 3180, 509, 11, 49, "Print",ExpressionUUID->"bc353ff5-1657-454b-8662-a8d2f8f75f29"],
Cell[142029, 3193, 467, 11, 49, "Print",ExpressionUUID->"9621d621-4c51-4e1c-9a44-101742c7b795"],
Cell[142499, 3206, 357, 6, 49, "Print",ExpressionUUID->"505f21a7-e185-492a-8a12-27cf0690143c"],
Cell[142859, 3214, 1209, 30, 49, "Print",ExpressionUUID->"6d58c941-1f87-46b7-9198-4b2ba98e4cc1"],
Cell[144071, 3246, 455, 10, 49, "Print",ExpressionUUID->"f2707e61-bd50-48cb-adde-864a3e3a4632"],
Cell[144529, 3258, 2436, 52, 720, "Print",ExpressionUUID->"b569ce87-67a4-43ed-b00d-753fa6c357d8"]
}, Open  ]]
}, Open  ]],
Cell[146992, 3314, 250, 4, 75, "Text",ExpressionUUID->"0b43618d-b5b1-4f71-9c45-b34b427f8711"],
Cell[CellGroupData[{
Cell[147267, 3322, 515, 15, 63, "Input",ExpressionUUID->"ec5788b4-5326-4e62-b9a7-d9c273a79c75"],
Cell[147785, 3339, 9934, 188, 567, "Output",ExpressionUUID->"a0fec04e-1616-434b-96cc-7e546ce614f6"]
}, Open  ]],
Cell[157734, 3530, 327, 5, 75, "Text",ExpressionUUID->"63a4579e-2416-401e-8dd5-a724557ea321"],
Cell[CellGroupData[{
Cell[158086, 3539, 1182, 34, 189, "Input",ExpressionUUID->"59ce4c80-39e7-40a2-bfcf-9bd5253a4753"],
Cell[159271, 3575, 81471, 1576, 1360, "Output",ExpressionUUID->"dc259ebe-7c5d-4a14-baa0-3972dc189565"]
}, Open  ]],
Cell[240757, 5154, 378, 6, 75, "Text",ExpressionUUID->"2394e112-8c6f-4a4b-a513-86f19b1f6443"],
Cell[CellGroupData[{
Cell[241160, 5164, 1232, 35, 189, "Input",ExpressionUUID->"1cf37509-cdea-4ef2-b1a3-d65115c1437a"],
Cell[242395, 5201, 81393, 1575, 1336, "Output",ExpressionUUID->"99eaf8e8-8e84-41ff-9bd6-d0a6906285cc"]
}, Open  ]],
Cell[323803, 6779, 303, 5, 75, "Text",ExpressionUUID->"55fa1003-5d3c-4321-8c92-b3ed6ed4861f"],
Cell[CellGroupData[{
Cell[324131, 6788, 211, 3, 63, "Input",ExpressionUUID->"795f1d54-39ba-4269-9b24-acd81284feee"],
Cell[CellGroupData[{
Cell[324367, 6795, 1342, 29, 49, "Print",ExpressionUUID->"604ac744-8d96-4eda-9c62-278fa67f1809"],
Cell[325712, 6826, 486, 11, 49, "Print",ExpressionUUID->"9486eb6b-c163-4143-bf08-957acad77da9"],
Cell[326201, 6839, 2467, 53, 720, "Print",ExpressionUUID->"fa19d962-0112-454b-8885-3618dedd5e58"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[328717, 6898, 201, 4, 98, "Input",ExpressionUUID->"ceb90f68-7213-4f97-b673-1bc04e9ee6fe"],
Cell[CellGroupData[{
Cell[328943, 6906, 383, 6, 49, "Print",ExpressionUUID->"29aeed47-3c9e-48eb-938b-64bbe08c7fcc"],
Cell[329329, 6914, 7206, 233, 360, "Print",ExpressionUUID->"b2f8ce79-3697-45af-b192-eed15e943570"],
Cell[336538, 7149, 388, 6, 49, "Print",ExpressionUUID->"7b0c6718-cbd2-420c-804c-d602d02ef789"],
Cell[336929, 7157, 3771, 90, 169, "Print",ExpressionUUID->"aa24547f-cbab-4731-a63b-823e774e15ef"],
Cell[340703, 7249, 555, 11, 49, "Print",ExpressionUUID->"f44c9dd6-384d-4e29-b72f-91c421a903aa"],
Cell[341261, 7262, 804, 16, 49, "Print",ExpressionUUID->"c0f8e5d5-fa0f-4b15-9eef-e6775b07348d"],
Cell[342068, 7280, 528, 11, 49, "Print",ExpressionUUID->"e09c3053-5985-4c07-b965-fb69f2861d32"],
Cell[342599, 7293, 3482, 84, 129, "Print",ExpressionUUID->"195a696d-fcfd-43fe-abc0-271fedee33d7"],
Cell[346084, 7379, 555, 11, 49, "Print",ExpressionUUID->"db5b78ba-e02a-4d4e-93d2-ee2f71aed375"],
Cell[346642, 7392, 925, 19, 49, "Print",ExpressionUUID->"4de1058a-1c76-4519-886b-8c8d7a13bfbe"],
Cell[347570, 7413, 528, 11, 49, "Print",ExpressionUUID->"4445622c-2823-4626-9d81-fe3fc50d7c93"],
Cell[348101, 7426, 3316, 80, 129, "Print",ExpressionUUID->"002cb0d2-323a-4337-9d9b-30bd8b2c4e33"],
Cell[351420, 7508, 555, 11, 49, "Print",ExpressionUUID->"6ce2075a-752d-40f6-b5d3-07d486a493c3"],
Cell[351978, 7521, 1030, 21, 49, "Print",ExpressionUUID->"d4941984-d85c-4542-953b-d812df0f3b50"],
Cell[353011, 7544, 526, 11, 49, "Print",ExpressionUUID->"eda05071-3097-4f5f-b64d-734238b03d51"],
Cell[353540, 7557, 3152, 76, 129, "Print",ExpressionUUID->"c65cde3c-7438-4943-a540-9d1a943b6584"],
Cell[356695, 7635, 553, 11, 49, "Print",ExpressionUUID->"671b0c54-7f33-4017-a227-04b20ce32e91"],
Cell[357251, 7648, 1133, 23, 49, "Print",ExpressionUUID->"6b7a8aee-6a6c-4f41-9fc0-42717cef5e8b"],
Cell[358387, 7673, 528, 11, 49, "Print",ExpressionUUID->"19d13baa-3e48-4660-bc0a-d4d84d1c3eaa"],
Cell[358918, 7686, 2984, 72, 129, "Print",ExpressionUUID->"3d3c5e3a-9f43-4782-8e74-c19a8a780944"],
Cell[361905, 7760, 555, 11, 49, "Print",ExpressionUUID->"8b125e05-6951-4218-970c-89f5b9ab7e34"],
Cell[362463, 7773, 1240, 25, 49, "Print",ExpressionUUID->"ad7ba696-726b-4628-b65c-cd6dc021df54"],
Cell[363706, 7800, 526, 11, 49, "Print",ExpressionUUID->"a5d20d3f-772c-425e-b030-0e285f7476f2"],
Cell[364235, 7813, 2820, 68, 129, "Print",ExpressionUUID->"1e6473d6-8c09-4067-b58a-520142420ee2"],
Cell[367058, 7883, 553, 11, 49, "Print",ExpressionUUID->"8449ed45-0291-4a18-9377-ed1f1073b13b"],
Cell[367614, 7896, 1345, 27, 49, "Print",ExpressionUUID->"21b37180-58d6-42d6-8dd2-a796f69adc59"],
Cell[368962, 7925, 527, 11, 49, "Print",ExpressionUUID->"6b34b092-1224-4bba-ac28-77058149a414"],
Cell[369492, 7938, 2652, 64, 90, "Print",ExpressionUUID->"b2172240-93c8-4d8b-becd-dab9cefb12d6"],
Cell[372147, 8004, 555, 11, 49, "Print",ExpressionUUID->"e04abc52-ec58-4b1b-8f99-5884a233384b"],
Cell[372705, 8017, 1450, 29, 49, "Print",ExpressionUUID->"c27ca86a-6a88-4e98-8f29-c5aca6770e6b"],
Cell[374158, 8048, 528, 11, 49, "Print",ExpressionUUID->"b2ff4b62-9a4a-4705-8b0b-b0b2edc9f276"],
Cell[374689, 8061, 2320, 56, 90, "Print",ExpressionUUID->"647952cf-cdaa-4756-8256-a5aba9de707f"],
Cell[377012, 8119, 553, 11, 49, "Print",ExpressionUUID->"a4d55e98-e0ed-4ad5-9ff6-3455a575563e"],
Cell[377568, 8132, 1555, 31, 90, "Print",ExpressionUUID->"b653b709-7eb0-4619-a8c5-b9a894d8b212"],
Cell[379126, 8165, 530, 11, 49, "Print",ExpressionUUID->"00971e8d-1793-4c9b-af39-cfab453fd602"],
Cell[379659, 8178, 2156, 52, 90, "Print",ExpressionUUID->"fbde153a-4854-4682-afdd-7e8c00d5def1"],
Cell[381818, 8232, 375, 6, 49, "Print",ExpressionUUID->"5dee32d2-b4d6-43f9-b5b5-8978699f89cf"],
Cell[382196, 8240, 1334, 28, 49, "Print",ExpressionUUID->"b45d291e-0224-41e1-acaf-a1d1804d238c"],
Cell[383533, 8270, 476, 10, 49, "Print",ExpressionUUID->"2b54242d-75a2-497b-8f15-60407c4d60ea"],
Cell[384012, 8282, 2459, 52, 605, "Print",ExpressionUUID->"50fc26c4-ca7d-4662-a2f6-8722ffe807c5"]
}, Open  ]]
}, Open  ]]
}
]
*)

